## python-oerplib 0.7.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/OERPLib.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/OERPLib.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/OERPLib"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/OERPLib"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-oerplib (0.7.0-1) unstable; urgency=low

  * Initial package for Debian (Closes: #701613).

 -- W. Martin Borgert <debacle@debian.org>  Tue, 26 Feb 2013 23:09:50 +0000

=== debian/control ===
Source: python-oerplib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 7.0.50), python (>= 2.6.6-3~), python-sphinx
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-oerplib/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-oerplib/trunk/
Homepage: https://launchpad.net/oerplib

Package: python-oerplib
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Python client library to OpenERP server
 OERPLib is a client library to OpenERP server. It aims to provide an easy way
 to remotely pilot and manage an OpenERP server.
 .
 It support both protocols XML-RPC and NET-RPC to communicate with OpenERP,
 and provides convenients methods to manage data records (browse operation
 implemented). Other functionalities such as downloading reports, workflow
 queries and databases management are provided.

Package: python-oerplib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python client library to OpenERP server (documentation)
 OERPLib is a client library to OpenERP server. It aims to provide an easy way
 to remotely pilot and manage an OpenERP server.
 .
 It support both protocols XML-RPC and NET-RPC to communicate with OpenERP,
 and provides convenients methods to manage data records (browse operation
 implemented). Other functionalities such as downloading reports, workflow
 queries and databases management are provided.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	# Build the HTML documentation.
	cp -r doc doc.debian
	make -C doc.debian html

override_dh_auto_clean:
	rm -rf doc.debian
	dh_auto_clean

=== debian/watch ===
version=3
https://launchpad.net/oerplib/+download https://launchpad.net/oerplib/.*/(?i)oerplib-(.+).tar.gz

## python-oerplib 0.8.3

=== debian/changelog ===
python-oerplib (0.8.3-3) unstable; urgency=medium

  * Team upload.
  * Add dh-python to Build-Depends (Closes: #768752).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 09 Nov 2014 18:34:33 +0500

python-oerplib (0.8.3-2) unstable; urgency=low

  * fix Vcs fields in debian/control

 -- W. Martin Borgert <debacle@debian.org>  Sat, 25 Oct 2014 10:26:52 +0000

python-oerplib (0.8.3-1) unstable; urgency=low

  * new version (Closes: #728862)
  * new standards version, no changes
  * upstream moved homepage to github
  * moved packaging to git
  * DEPified debian/copyright

 -- W. Martin Borgert <debacle@debian.org>  Sat, 25 Oct 2014 00:02:38 +0000

=== debian/control ===
Source: python-oerplib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python, python-sphinx, python-setuptools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-oerplib.git;a=summary
Vcs-Git: git://anonscm.debian.org/git/python-modules/packages/python-oerplib.git
Homepage: https://launchpad.net/oerplib

Package: python-oerplib
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Python client library to Odoo/OpenERP server
 OERPLib is a client library to Odoo (formerly OpenERP) server. It aims to
 provide an easy way to remotely pilot and manage an Odoo server.
 .
 It support both protocols XML-RPC and NET-RPC to communicate with Odoo,
 and provides convenients methods to manage data records (browse operation
 implemented). Other functionalities such as downloading reports, workflow
 queries and databases management are provided.

Package: python-oerplib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python client library to Odoo/OpenERP server (documentation)
 OERPLib is a client library to Odoo (formerly OpenERP) server. It aims to
 provide an easy way to remotely pilot and manage an Odoo server.
 .
 It support both protocols XML-RPC and NET-RPC to communicate with Odoo,
 and provides convenients methods to manage data records (browse operation
 implemented). Other functionalities such as downloading reports, workflow
 queries and databases management are provided.
 .
 This package contains the HTML documentation.

## python-oerplib 0.8.4

=== debian/changelog ===
python-oerplib (0.8.4-1) unstable; urgency=medium

  * New upstream version.

 -- W. Martin Borgert <debacle@debian.org>  Sun, 26 Jul 2015 12:37:05 +0000

=== debian/control ===
Source: python-oerplib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python, python-sphinx, python-setuptools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/python-oerplib.git;a=summary
Vcs-Git: git://anonscm.debian.org/git/python-modules/packages/python-oerplib.git
Homepage: http://pythonhosted.org/OERPLib/

Package: python-oerplib
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Python client library to Odoo server
 OERPLib is a client library to Odoo (formerly OpenERP or TinyERP) server.
 It aims to provide an easy way to remotely pilot and manage an Odoo server.
 .
 It support both protocols XML-RPC and NET-RPC to communicate with Odoo,
 and provides convenients methods to manage data records (browse operation
 implemented). Other functionalities such as downloading reports, workflow
 queries and databases management are provided.
 .
 Note, that there is a newer library by the same author, OdooRPC, which
 also supports Python 3 and uses JSON-RPC.

Package: python-oerplib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python client library to Odoo server (documentation)
 OERPLib is a client library to Odoo (formerly OpenERP or TinyERP) server.
 It aims to provide an easy way to remotely pilot and manage an Odoo server.
 .
 It support both protocols XML-RPC and NET-RPC to communicate with Odoo,
 and provides convenients methods to manage data records (browse operation
 implemented). Other functionalities such as downloading reports, workflow
 queries and databases management are provided.
 .
 Note, that there is a newer library by the same author, OdooRPC, which
 also supports Python 3 and uses JSON-RPC.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export PYBUILD_NAME=oerplib
 
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=3
https://github.com/osiell/oerplib/releases .*[^n]/v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
